OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.ComputeShader

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_compute_shader extension, see http://www.opengl.org/registry/specs/ARB/compute_shader.txt.

Synopsis

- glDispatchCompute :: GLuint -> GLuint -> GLuint -> IO ()
- glDispatchComputeIndirect :: GLintptr -> IO ()
- gl_COMPUTE_SHADER :: GLenum
- gl_MAX_COMPUTE_UNIFORM_BLOCKS :: GLenum
- gl_MAX_COMPUTE_TEXTURE_IMAGE_UNITS :: GLenum
- gl_MAX_COMPUTE_IMAGE_UNIFORMS :: GLenum
- gl_MAX_COMPUTE_SHARED_MEMORY_SIZE :: GLenum
- gl_MAX_COMPUTE_UNIFORM_COMPONENTS :: GLenum
- gl_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS :: GLenum
- gl_MAX_COMPUTE_ATOMIC_COUNTERS :: GLenum
- gl_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS :: GLenum
- gl_MAX_COMPUTE_LOCAL_INVOCATIONS :: GLenum
- gl_MAX_COMPUTE_WORK_GROUP_COUNT :: GLenum
- gl_MAX_COMPUTE_WORK_GROUP_SIZE :: GLenum
- gl_COMPUTE_LOCAL_WORK_SIZE :: GLenum
- gl_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER :: GLenum
- gl_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER :: GLenum
- gl_DISPATCH_INDIRECT_BUFFER :: GLenum
- gl_DISPATCH_INDIRECT_BUFFER_BINDING :: GLenum
- gl_COMPUTE_SHADER_BIT :: GLbitfield

# Functions

glDispatchCompute :: GLuint -> GLuint -> GLuint -> IO ()

glDispatchComputeIndirect :: GLintptr -> IO ()

# Tokens

gl_COMPUTE_SHADER :: GLenum

gl_MAX_COMPUTE_UNIFORM_BLOCKS :: GLenum

gl_MAX_COMPUTE_TEXTURE_IMAGE_UNITS :: GLenum

gl_MAX_COMPUTE_IMAGE_UNIFORMS :: GLenum

gl_MAX_COMPUTE_SHARED_MEMORY_SIZE :: GLenum

gl_MAX_COMPUTE_UNIFORM_COMPONENTS :: GLenum

gl_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS :: GLenum

gl_MAX_COMPUTE_ATOMIC_COUNTERS :: GLenum

gl_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS :: GLenum

gl_MAX_COMPUTE_LOCAL_INVOCATIONS :: GLenum

gl_MAX_COMPUTE_WORK_GROUP_COUNT :: GLenum

gl_MAX_COMPUTE_WORK_GROUP_SIZE :: GLenum

gl_COMPUTE_LOCAL_WORK_SIZE :: GLenum

gl_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER :: GLenum

gl_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER :: GLenum

gl_DISPATCH_INDIRECT_BUFFER :: GLenum

gl_DISPATCH_INDIRECT_BUFFER_BINDING :: GLenum

gl_COMPUTE_SHADER_BIT :: GLbitfield